<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextPropCollection (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextPropCollection (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextPropCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
               title="enum in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/model/textproperties/TextPropCollection.html"
               target="_top">Frames</a></li>
        <li><a href="TextPropCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.model.textproperties</div>
    <h2 title="Class TextPropCollection" class="title">Class TextPropCollection</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.model.textproperties.TextPropCollection</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">TextPropCollection</span>
extends java.lang.Object</pre>
                <div class="block">For a given run of characters, holds the properties (which could
                    be paragraph properties or character properties).
                    Used to hold the number of characters affected, the list of active
                    properties, and the indent level if required.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
                                        title="enum in org.apache.poi.hslf.model.textproperties">TextPropCollection.TextPropType</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#TextPropCollection-int-org.apache.poi.hslf.model.textproperties.TextPropCollection.TextPropType-">TextPropCollection</a></span>(int&nbsp;charactersCovered,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
                                       title="enum in org.apache.poi.hslf.model.textproperties">TextPropCollection.TextPropType</a>&nbsp;textPropType)</code>
                                    <div class="block">Create a new collection of text properties (be they paragraph
                                        or character) which will be groked via a subsequent call to
                                        buildTextPropList().
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#addProp-org.apache.poi.hslf.model.textproperties.TextProp-">addProp</a></span>(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&nbsp;textProp)</code>
                                    <div class="block">Add the property at the correct position.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>&lt;T extends <a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#addWithName-java.lang.String-">addWithName</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Add the TextProp with this name to the list</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#buildTextPropList-int-byte:A-int-">buildTextPropList</a></span>(int&nbsp;containsField,
                                    byte[]&nbsp;data,
                                    int&nbsp;dataOffset)</code>
                                    <div class="block">For an existing set of text properties, build the list of
                                        properties coded for in a given run of properties.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#copy-org.apache.poi.hslf.model.textproperties.TextPropCollection-">copy</a></span>(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextPropCollection</a>&nbsp;other)</code>
                                    <div class="block">Clones the given text properties</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>
                                    <div class="block">compares most properties apart of the covered characters length
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>&lt;T extends <a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#findByName-java.lang.String-">findByName</a></span>(java.lang.String&nbsp;textPropName)</code>
                                    <div class="block">Fetch the TextProp with this name, or null if it isn't present
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#getCharactersCovered--">getCharactersCovered</a></span>()</code>
                                    <div class="block">Fetch the number of characters this styling applies to</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#getIndentLevel--">getIndentLevel</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#getSpecialMask--">getSpecialMask</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#getTextPropList--">getTextPropList</a></span>()</code>
                                    <div class="block">Fetch the TextProps that define this styling in the record
                                        order
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
                                        title="enum in org.apache.poi.hslf.model.textproperties">TextPropCollection.TextPropType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#getTextPropType--">getTextPropType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>&lt;T extends <a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#removeByName-java.lang.String-">removeByName</a></span>(java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#setIndentLevel-short-">setIndentLevel</a></span>(short&nbsp;indentLevel)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#updateTextSize-int-">updateTextSize</a></span>(int&nbsp;textSize)</code>
                                    <div class="block">Update the size of the text that this set of properties
                                        applies to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;o)</code>
                                    <div class="block">Writes out to disk the header, and then all the properties</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html#writeOut-java.io.OutputStream-boolean-">writeOut</a></span>(java.io.OutputStream&nbsp;o,
                                    boolean&nbsp;isMasterStyle)</code>
                                    <div class="block">Writes out to disk the header, and then all the properties</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="TextPropCollection-int-org.apache.poi.hslf.model.textproperties.TextPropCollection.TextPropType-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>TextPropCollection</h4>
                                <pre>public&nbsp;TextPropCollection(int&nbsp;charactersCovered,
                          <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
                             title="enum in org.apache.poi.hslf.model.textproperties">TextPropCollection.TextPropType</a>&nbsp;textPropType)</pre>
                                <div class="block">Create a new collection of text properties (be they paragraph
                                    or character) which will be groked via a subsequent call to
                                    buildTextPropList().
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSpecialMask--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpecialMask</h4>
                                <pre>public&nbsp;int&nbsp;getSpecialMask()</pre>
                            </li>
                        </ul>
                        <a name="getCharactersCovered--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharactersCovered</h4>
                                <pre>public&nbsp;int&nbsp;getCharactersCovered()</pre>
                                <div class="block">Fetch the number of characters this styling applies to</div>
                            </li>
                        </ul>
                        <a name="getTextPropList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextPropList</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;&nbsp;getTextPropList()</pre>
                                <div class="block">Fetch the TextProps that define this styling in the record order
                                </div>
                            </li>
                        </ul>
                        <a name="findByName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findByName</h4>
                                <pre>public final&nbsp;&lt;T extends <a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;&nbsp;T&nbsp;findByName(java.lang.String&nbsp;textPropName)</pre>
                                <div class="block">Fetch the TextProp with this name, or null if it isn't present</div>
                            </li>
                        </ul>
                        <a name="removeByName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeByName</h4>
                                <pre>public final&nbsp;&lt;T extends <a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;&nbsp;T&nbsp;removeByName(java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                        <a name="getTextPropType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextPropType</h4>
                                <pre>public final&nbsp;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
                                        title="enum in org.apache.poi.hslf.model.textproperties">TextPropCollection.TextPropType</a>&nbsp;getTextPropType()</pre>
                            </li>
                        </ul>
                        <a name="addWithName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addWithName</h4>
                                <pre>public final&nbsp;&lt;T extends <a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&gt;&nbsp;T&nbsp;addWithName(java.lang.String&nbsp;name)</pre>
                                <div class="block">Add the TextProp with this name to the list</div>
                            </li>
                        </ul>
                        <a name="addProp-org.apache.poi.hslf.model.textproperties.TextProp-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addProp</h4>
                                <pre>public final&nbsp;void&nbsp;addProp(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a>&nbsp;textProp)</pre>
                                <div class="block">Add the property at the correct position. Replaces an existing
                                    property with the same name.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>textProp</code> - the property to be added</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="buildTextPropList-int-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>buildTextPropList</h4>
                                <pre>public&nbsp;int&nbsp;buildTextPropList(int&nbsp;containsField,
                             byte[]&nbsp;data,
                             int&nbsp;dataOffset)</pre>
                                <div class="block">For an existing set of text properties, build the list of
                                    properties coded for in a given run of properties.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of bytes that were used encoding the properties list</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copy-org.apache.poi.hslf.model.textproperties.TextPropCollection-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copy</h4>
                                <pre>public&nbsp;void&nbsp;copy(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextPropCollection</a>&nbsp;other)</pre>
                                <div class="block">Clones the given text properties</div>
                            </li>
                        </ul>
                        <a name="updateTextSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateTextSize</h4>
                                <pre>public&nbsp;void&nbsp;updateTextSize(int&nbsp;textSize)</pre>
                                <div class="block">Update the size of the text that this set of properties
                                    applies to
                                </div>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;o)
              throws java.io.IOException</pre>
                                <div class="block">Writes out to disk the header, and then all the properties</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;o,
                     boolean&nbsp;isMasterStyle)
              throws java.io.IOException</pre>
                                <div class="block">Writes out to disk the header, and then all the properties</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndentLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndentLevel</h4>
                                <pre>public&nbsp;short&nbsp;getIndentLevel()</pre>
                            </li>
                        </ul>
                        <a name="setIndentLevel-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndentLevel</h4>
                                <pre>public&nbsp;void&nbsp;setIndentLevel(short&nbsp;indentLevel)</pre>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
                                <div class="block">compares most properties apart of the covered characters length</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextPropCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.TextPropType.html"
               title="enum in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/model/textproperties/TextPropCollection.html"
               target="_top">Frames</a></li>
        <li><a href="TextPropCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
